Bug 1568574 - Auto-refresh values take forever to load values in dropdown
Summary: Auto-refresh values take forever to load values in dropdown
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - Service
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: Oleg Barenboim
QA Contact: Shveta
URL:
Whiteboard:
Depends On:
Blocks: 1569551
TreeView+ depends on / blocked
 
Reported: 2018-04-17 19:21 UTC by Shveta
Modified: 2019-02-11 14:06 UTC (History)
3 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1569551 (view as bug list)
Environment:
Last Closed: 2019-02-11 14:06:10 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
dialog (3.58 KB, text/x-vhdl)
2018-04-17 19:21 UTC, Shveta
no flags Details

Description Shveta 2018-04-17 19:21:27 UTC
Created attachment 1423241 [details]
dialog

Description of problem:


Version-Release number of selected component (if applicable):
5.9.2.2.20180410215257_6961422

How reproducible:


Steps to Reproduce:
1. Import the dialog and domain attached. 
2. Create a catalog item to use this dialog in Classic UI.
3. Selecting values in contract dropdown refreshes the values in the other two dropdowns 
4. In SUI however , selecting any value in contract dropdown , does not auto-refreshes the values in location dropdown , The spinner keeps on spinning .

Actual results:


Expected results:


Additional info:
Appliance : https://10.8.198.94/ui/service
Service : generic

Comment 2 Shveta 2018-04-17 19:28:36 UTC
New steps : 
There is some change in steps to recreate:

Steps to Reproduce:
1. Import the dialog and domain attached. 
2. Create a custom button for Service and the dialog created above
3. Create a catalog item to use this dialog in Classic UI.Order Service.
4. Under Myservice, select the service and then the custom button. Selecting values in contract dropdown refreshes the values in the other two dropdowns 
5. In SUI , select the service, select custom button , selecting any value in contract dropdown , does not auto-refreshes the values in location dropdown , The spinner keeps on spinning .

Comment 3 Chris Hale 2018-04-18 18:19:58 UTC
GH PR that addresses this issue https://github.com/ManageIQ/manageiq-ui-service/pull/1422

Comment 4 Chris Hale 2018-04-18 18:29:02 UTC
Other PR was created by accident.  This PR addresses the issue.  https://github.com/ManageIQ/manageiq-ui-service/pull/1423

Comment 6 Shveta 2018-10-12 20:56:44 UTC
Fixed in 5.10.0.19.20181009184346_1c8bf5d


Note You need to log in before you can comment on or make changes to this bug.